## pymvpa2 2.6.0

=== debian/changelog ===
pymvpa2 (2.6.0-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 26 Aug 2016 23:42:49 -0400

pymvpa2 (2.6.0-1) unstable; urgency=medium

  * Fresh upstream release
    - variety of bugfixes, e.g. compatibility with scipy 0.17.1, nibabel 2.1
  * debian/control
    - policy boost to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Aug 2016 20:21:05 -0400
