=== debian/control ===
Source: pymvpa2
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.6.6-3~),
               swig | swig2.0,
               python-numpy, python-scipy,
               python-nibabel,
               python-nose,
               python-h5py,
               python-lxml,
               libsvm-dev (>= 2.84.0),
               help2man, man2html,
               python-sphinx, python-numpydoc,
               graphviz, inkscape, imagemagick, bc,
               python-matplotlib,
               python-statsmodels [!s390x],
               python-joblib
Standards-Version: 3.9.8
Homepage: http://www.pymvpa.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git -b dist2/debian/proper/sid
X-Python-Version: >= 2.7


Package: python-mvpa2
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
         python-mvpa2-lib(>= ${source:Version}),
         python-numpy,
Recommends:
         python-h5py,
         python-lxml,
         python-matplotlib,
         python-mdp,
         python-nibabel,
         python-nipy,
         python-psutil,
         python-psyco,
         python-pywt,
         python-reportlab,
         python-scipy,
         python-sklearn,
         python-shogun,
         liblapack-dev,
         python-pprocess,
         python-statsmodels,
         python-joblib,
         python-duecredit,
Suggests:
         fslview, fsl,
         python-mvpa2-doc,
         python-nose,
         python-openopt,
         python-rpy2,
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: multivariate pattern analysis with Python v. 2
 PyMVPA eases pattern classification analyses of large datasets, with an
 accent on neuroimaging. It provides high-level abstraction of typical
 processing steps (e.g. data preparation, classification, feature selection,
 generalization testing), a number of implementations of some popular
 algorithms (e.g. kNN, Ridge Regressions, Sparse Multinomial Logistic
 Regression), and bindings to external machine learning libraries (libsvm,
 shogun).
 .
 While it is not limited to neuroimaging data (e.g. fMRI, or EEG) it
 is eminently suited for such datasets.
 .
 This is a package of PyMVPA v.2.  Previously released stable version
 is provided by the python-mvpa package.


Package: python-mvpa2-lib
Architecture: any
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
         python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for PyMVPA v. 2
 This is an add-on package for the PyMVPA framework. It provides a low-level
 implementation of an SMLR classifier and custom Python bindings for the LIBSVM
 library.
 .
 This is a package of a development snapshot. The latest released version is
 provided by the python-mvpa-lib package.


Package: python-mvpa2-doc
Architecture: all
Section: doc
Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-mvpa2, python-mvpa2-tutorialdata, ipython-notebook
Description: documentation and examples for PyMVPA v. 2
 This is an add-on package for the PyMVPA framework. It provides a
 HTML documentation (tutorial, FAQ etc.), and example scripts.
 In addition the PyMVPA tutorial is also provided as IPython notebooks.
