## pymvpa2 2.6.1

=== debian/changelog ===
pymvpa2 (2.6.1-1~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 20 Apr 2017 13:15:41 -0400

pymvpa2 (2.6.1-1) experimental; urgency=medium

  * Fresh upstream (primarily minor bugfix) release
    - python-mock into build-depends
  * debian/rules
    - invoke tests via  python -m nose  since otherwise lead to some
      weird infinite recursions etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Apr 2017 11:24:40 -0400
