=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                graphviz, inkscape, imagemagick, bc,
                python-matplotlib,
                python-statsmodels [!s390x],
-               python-joblib
+               python-joblib,
+               python-mock,
 Standards-Version: 3.9.8
 Homepage: http://www.pymvpa.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
@@ -50,6 +51,7 @@
          python-statsmodels,
          python-joblib,
          python-duecredit,
+         python-mock,
 Suggests:
          fslview, fsl,
          python-mvpa2-doc,
