## pymvpa2 2.6.3

=== debian/changelog ===
pymvpa2 (2.6.3-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 03 Nov 2017 03:20:37 -0400

pymvpa2 (2.6.3-1) unstable; urgency=medium

  * Fresh bugfix release -- primarily just tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Nov 2017 00:47:56 -0400

pymvpa2 (2.6.2-1) unstable; urgency=medium

  * Fresh upstream bugfix release
    - dropping all debian/patches/00* picked up from upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Nov 2017 00:06:43 -0400

pymvpa2 (2.6.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/patches/00* 
    - addressing for changes in sphinx
    - addressing for more strict numpy 1.13.1
  * debian/control
    - boosted policy to 4.0.0
    - boosted compat/debhelper to 9
    - added dh-python to build-depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Oct 2017 22:53:34 -0400
