=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9~),
+               dh-python,
                python-all-dev (>= 2.6.6-3~),
                swig | swig2.0,
                python-numpy, python-scipy,
@@ -20,7 +21,7 @@
                python-statsmodels [!s390x],
                python-joblib,
                python-mock,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.pymvpa.org
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git -b dist2/debian/proper/sid
