## pymvpa2 2.6.4

=== requirements.txt ===
# should be present but installing via pip might be too lengthy
# numpy
# scipy
# sklearn
duecredit
nibabel
# not compatible ATM with python3
# pprocess
# Some parts use it already
joblib
