=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pymvpa2
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
+Maintainer: NeuroDebian team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~),
                dh-python,
@@ -30,7 +29,7 @@
 
 Package: python-mvpa2
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
          python-mvpa2-lib(>= ${source:Version}),
          python-numpy,
 Recommends:
@@ -79,7 +78,7 @@
 
 Package: python-mvpa2-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
          python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -95,7 +94,7 @@
 Package: python-mvpa2-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-mvpa2, python-mvpa2-tutorialdata, ipython-notebook
 Description: documentation and examples for PyMVPA v. 2
  This is an add-on package for the PyMVPA framework. It provides a
