=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/pymvpa2-$1/,uversionmangle=s/rc/~rc/g" \
 https://github.com/PyMVPA/PyMVPA/tags .*archive/upstream/([\d\.a-z]+)\.tar\.gz
