=== debian/changelog ===
pymvpa2 (2.6.5-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 26 Jun 2018 19:39:54 -0400

pymvpa2 (2.6.5-1) unstable; urgency=medium

  * Fresh minor upstream release
  * debian/patches
    - two patches to make docs buildable (Closes: #896628)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 25 Jun 2018 22:03:05 -0400
