=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pymvpa2
 Section: python
 Priority: optional
-Maintainer: NeuroDebian team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~),
                dh-python,
@@ -15,6 +16,7 @@
                libsvm-dev (>= 2.84.0),
                help2man, man2html,
                python-sphinx, python-numpydoc,
+               latexmk,
                graphviz, inkscape, imagemagick, bc,
                python-matplotlib,
                python-statsmodels [!s390x],
@@ -29,7 +31,7 @@
 
 Package: python-mvpa2
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-mvpa2-lib(>= ${source:Version}),
          python-numpy,
 Recommends:
@@ -78,7 +80,7 @@
 
 Package: python-mvpa2-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
          python-numpy
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -94,7 +96,7 @@
 Package: python-mvpa2-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-underscore
 Suggests: python-mvpa2, python-mvpa2-tutorialdata, ipython-notebook
 Description: documentation and examples for PyMVPA v. 2
  This is an add-on package for the PyMVPA framework. It provides a
